%define version 1.3.10

Summary: IP Firewalling Chains.
Name: ipchains
Version: %{version}
Release: 5mdk
License: GPL
Obsoletes: ipfwadm ipchains-scripts
Group: System/Kernel and hardware
Url: http://netfilter.kernelnotes.org/ipchains
Source: http://netfilter.kernelnotes.org/ipchains/ipchains-%{version}.tar.bz2
Source1: http://netfilter.kernelnotes.org/ipchains/ipchains-scripts-1.1.2.tar.bz2
Source2: ipchains.init
Buildroot: %{_tmppath}/%{name}-root

%description 
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the normal Linux Firewalling code, for 2.0 and 2.1
kernels. It lets you do things like firewalls, IP masquerading, etc.

Kernel 2.4 is also supported, but if you have kernel 2.4, you are highly 
recommended to use the netfilter system instead. You can have both userspace
tools installed, but only one system can be used at any one time. If you
decide to use the netfilter system, then you probably don't need this.

%prep
%setup -q -a 1

%build
%serverbuild
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DUSE_VENDOR_CF_PATH=1"

make clean
COPTS=$RPM_OPT_FLAGS make -e

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,%{_mandir}/man{4,8}}
install -m 0755 ipchains $RPM_BUILD_ROOT/sbin/
install -m 0644 ipchains ipfw.4 $RPM_BUILD_ROOT%{_mandir}/man4/
install -m 0644 ipchains ipchains.8 $RPM_BUILD_ROOT%{_mandir}/man8/
cp ipchains-scripts-1.1.2/{ipchains-restore,ipchains-save,ipfwadm-wrapper} $RPM_BUILD_ROOT/sbin
cp ipchains-scripts-1.1.2/{ipchains-restore.8,ipchains-save.8,ipfwadm-wrapper.8} $RPM_BUILD_ROOT%{_mandir}/man8
cp ipchains-scripts-1.1.2/ipfwadm-wrapper $RPM_BUILD_ROOT/sbin/ipfwadm
ln -sf ipfwadm $RPM_BUILD_ROOT/sbin/ipfwadm-wrapper

install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/ipchains

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*
%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service ipchains

%preun
%_preun_service ipchains

%files
%defattr(-,root,root)
%doc COPYING README ipchains-quickref.ps
%config(noreplace) %{_initrddir}/ipchains
%defattr(-,root,root)
/sbin/ipchains
/sbin/ipchains-restore
/sbin/ipchains-save
/sbin/ipfwadm-wrapper
/sbin/ipfwadm
%{_mandir}/man4/ipfw.4.bz2
%{_mandir}/man8/ipchains-restore.8.bz2
%{_mandir}/man8/ipchains-save.8.bz2
%{_mandir}/man8/ipchains.8.bz2
%{_mandir}/man8/ipfwadm-wrapper.8.bz2


%changelog
* Mon Aug 20 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.10-5mdk
- add Backward compatibility  for kernel 2.4 in init script

* Fri Mar 30 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.10-4mdk
- use post_service and preun_service macros
- use serverbuild macro

* Mon Mar 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.10-3mdk
- Change the URL to a correct one.

* Sat Dec 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.10-2mdk
- added "make clean" to cleanup builddir before compiling
- corrected typo: %%_initrdddir --> %%_initrddir
- Geoff <snailtalk@mandrakesoft.com> -- add description for kernel 2.4.

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.10-1mdk
- shiny source aka 1.3.10.

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.9-8mdk
- use of _initrddir macro.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.9-7mdk
- BM

* Mon Mar 28 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- add the initscript from RH
- add %post and %preun
- update ipchains-scripts
- fix building as root

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release
- Fixed source for new build environment

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.3.9

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- oboslete phantom ipchains-scripts package that's been floating around...

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Nov 17 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
